Can't update DNSOnly server due to EA4?

4u123

Well-Known Member
PartnerNOC
Jan 2, 2006
877
15
168
NOTE: A system upgrade was not possible due to the following blockers:
[2019-06-12 14:19:01 +0100] W [FATAL] - You must migrate from EA3 to EA4 before upgrading to v78 or newer. You can do so by running /usr/local/cpanel/scripts/migrate_ea3_to_ea4 or via WHM’s EasyApache 4 Migration interface. For more information please see: The EasyApache 3 to EasyApache 4 Migration Process - EasyApache 4 - cPanel Documentation
=> Log closed Wed Jun 12 14:19:01 2019
=> Log closed Wed Jun 12 14:19:01 2019

[email protected] [~]# /usr/local/cpanel/scripts/migrate_ea3_to_ea4
Error: EasyApache4 is not available on DNSOnly Servers.

Catch 22?
 

cPanelMichael

Technical Support Community Manager
Staff member
Apr 11, 2011
47,911
2,233
363
cPanel Access Level
DataCenter Provider
Twitter
Hello @4u123,

Can you confirm if this DNSOnly server was at one point a standard cPanel & WHM server and later converted to DNSOnly? Also, can you execute the command below and share the output?

Code:
/usr/local/apache/bin/httpd -v
If Apache is installed on the DNSOnly server, you'll need to uninstall it or manually remove /usr/sbin/httpd and/or /usr/local/apache/ to ensure the update script does not detect the presence of EasyApache 3.

Thank you.